---
- name: restart tango ds
  tango_starter:
    server: "{{ item }}"
    state: restarted
  loop: "{{ ((tango_ds_stable_rpm.results |
            selectattr('changed', 'equalto', true) |
            map(attribute='ds.servers') |
            flatten(levels=1) |
            list) +
            (tango_ds_testing_rpm.results |
            selectattr('changed', 'equalto', true) |
            map(attribute='ds.servers') |
            flatten(levels=1) |
            list) +
            (tango_ds_environments.results |
            selectattr('changed', 'equalto', true) |
            map(attribute='ds.servers') |
            flatten(levels=1) |
            list)) |
            unique }}"
